Bug 915248 - Allow users to check or reset fail-count of a resource on a specific node
Summary: Allow users to check or reset fail-count of a resource on a specific node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcs
Version: 6.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 960054 969568
TreeView+ depends on / blocked
 
Reported: 2013-02-25 09:49 UTC by Frank Danapfel
Modified: 2013-11-21 11:51 UTC (History)
4 users (show)

Fixed In Version: pcs-0.9.64-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: There was no way to check (or reset) the failcount of a resource using pcs Consequence: Resource failcounts could not be viewed or reset using pcs and users would have to use other unsupported tools. Fix: Add 'pcs resource failcount show' & 'pcs resource failcount reset' Result: Users can now reset and view failcounts for specific resources
Clone Of:
: 969568 (view as bug list)
Environment:
Last Closed: 2013-11-21 11:51:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1633 normal SHIPPED_LIVE pcs bug fix and enhancement update 2013-11-20 21:53:48 UTC

Description Frank Danapfel 2013-02-25 09:49:34 UTC
Description of problem:
There is no way check or reset the fail-count of a resource on a specific node  with pcs.

Version-Release number of selected component (if applicable):
pcs-0.9.26-11.el6.noarch

A 'pcs resource failcount show <resource> <clusternode>' command should be added which does the equivalend of 'crm_failcount -N <clusternode> -r <resource> -G'

A 'pcs resource failcount reset <resource> <clusternode>' command should be added which does the equivalend of 'crm_failcount -N <clusternode> -r <resource> -D'

Comment 3 Chris Feist 2013-02-25 22:55:03 UTC
One benefit in the upstream code is that you are not required to specify a node (if a node isn't specified it resets/shows the failcounts on all nodes in the cluster).

Comment 7 Chris Feist 2013-08-13 21:21:29 UTC
[root@ask-02 ~]# pcs resource fail -h

Usage: pcs resource fail...
    failcount show <resource id> [node]
        Show current failcount for specified resource from all nodes or
        only on specified node

    failcount reset <resource id> [node]
        Reset failcount for specified resource on all nodes or only on
        specified node

[root@ask-02 ~]# rpm -q pcs
pcs-0.9.64-1.el6.noarch

Comment 10 errata-xmlrpc 2013-11-21 11:51:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1633.html


Note You need to log in before you can comment on or make changes to this bug.